Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ComponentClassCacheImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ComponentClassCacheImpl

All Implemented Interfaces:
  ComponentClassCache, InvalidationListener

    public class ComponentClassCacheImpl

extends java.lang.Object
implements ComponentClassCache, InvalidationListener

Constructor Summary
`ComponentClassCacheImpl(PlasticProxyFactory plasticFactory, TypeCoercer typeCoercer)`

Method Summary
`java.lang.Object` | `defaultValueForType(java.lang.String className)` Computes the default value for a field of the given type, returns the appropriate default value.
`java.lang.Class` | `forName(java.lang.String className)` Gets the Class instance for the given fully-qualified class name.
`void` | `objectWasInvalidated()` Invoked to indicate that some object is invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentClassCacheImpl

    public ComponentClassCacheImpl(@ComponentLayer
                                   PlasticProxyFactory plasticFactory,
                                   TypeCoercer typeCoercer)

Method Detail

### objectWasInvalidated

    public void objectWasInvalidated()

  Description copied from interface: `InvalidationListener`
  Invoked to indicate that some object is invalid. The receiver should clear its cache.

  Specified by:
    `objectWasInvalidated` in interface `InvalidationListener`

### defaultValueForType

    public java.lang.Object defaultValueForType(java.lang.String className)

  Description copied from interface: `ComponentClassCache`
  Computes the default value for a field of the given type, returns the appropriate default value. This is typically null, but may be false (for a primitive boolean) or some version of 0 (for a primitive numeric field). Wrapper types will still be null.

  Specified by:
    `defaultValueForType` in interface `ComponentClassCache`
  Parameters:
    `className` - type of field

### forName

    public java.lang.Class forName(java.lang.String className)

  Description copied from interface: `ComponentClassCache`
  Gets the Class instance for the given fully-qualified class name.

  Specified by:
    `forName` in interface `ComponentClassCache`
  Parameters:
    `className` - fully qualified class name, or a primitive type name, or an array name (in source format)
  Returns:
    the class instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.